rc2.h File Reference

Classes for the RC2 block cipher. More...

Go to the source code of this file.

## Classes

struct | RC2_Info
| RC2 block cipher information. More...
class | RC2
| RC2 block cipher. More...
class | RC2::Encryption
| Class specific methods used to operate the cipher in the forward direction. More...
class | RC2::Decryption
| Class specific methods used to operate the cipher in the reverse direction. More...

## Typedefs

typedef RC2::Encryption | RC2Encryption
typedef RC2::Decryption | RC2Decryption

## Detailed Description

Classes for the RC2 block cipher.

Since
  Crypto++ 3.0

Definition in file rc2.h.

## Typedef Documentation

## RC2Encryption

typedef RC2::Encryption RC2Encryption

Definition at line 85 of file rc2.h.

## RC2Decryption

typedef RC2::Decryption RC2Decryption

Definition at line 86 of file rc2.h.